/*----------------------------------------------------------------------
  File    : timing.h
  Contents: definition of timing function (avoid negative times)
  Author  : Christian Borgelt
  History : 2009.11.08 file created
            2010.03.17 macros replaced by a function
----------------------------------------------------------------------*/
#ifndef __TIMING__
#define __TIMING__
#include <limits.h>
#include <time.h>

static double SEC_SINCE (clock_t t)
{                               /* --- compute number of seconds */
  t = clock() -t;               /*     since the given time */
  return ((t < 0) ? t +(double)LONG_MAX : t) / (double)CLOCKS_PER_SEC;
}  /* SEC_SINCE() */

#endif
